<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cokr.xit.fims.nxrp.dao.NisA01Mapper">

<!-- 과태료 대장 단속 정보 등록 정보 매퍼
 ========== 변경 이력 ==========
 2024-02-16	JoJH 최초 작성
 ============================ -->

    <resultMap id="a01Row" type="cokr.xit.fims.nxrp.A01"> <!-- 과태료 대장 단속 정보 등록 -->
        <result property="a01Id"                 column="A01_ID" />                    <!-- 일련번호 ID -->
        <result property="taskSeCd"              column="TASK_SE_CD" />                <!-- 업무 구분 코드 -->
        <result property="sgbCd"                 column="SGB_CD" />                    <!-- 자치단체코드 -->
        <result property="linkTrgtCd"            column="LINK_TRGT_CD" />              <!-- 연계대상코드 -->
        <result property="linkMngKey"            column="LINK_MNG_KEY" />              <!-- 연계관리키 -->
        <result property="dptCd"                 column="DPT_CD" />                    <!-- 부서코드 -->
        <result property="rcptYr"                column="RCPT_YR" />                   <!-- 접수연도 -->
        <result property="spacBizCd"             column="SPAC_BIZ_CD" />               <!-- 특별회계사업코드 -->
        <result property="actSeCd"               column="ACT_SE_CD" />                 <!-- 회계구분코드 -->
        <result property="rprsTxmCd"             column="RPRS_TXM_CD" />               <!-- 대표세입과목코드 -->
        <result property="operItemCd"            column="OPER_ITEM_CD" />              <!-- 운영항목코드 -->
        <result property="finScrgSeCd"           column="FIN_SCRG_SE_CD" />            <!-- 과태료과징금구분코드 -->
        <result property="pyrSeCd"               column="PYR_SE_CD" />                 <!-- 납부자구분코드 -->
        <result property="pyrNo"                 column="PYR_NO" />                    <!-- 납부자번호 -->
        <result property="pyrNm"                 column="PYR_NM" />                    <!-- 납부자명 -->
        <result property="rprsPyrNo"             column="RPRS_PYR_NO" />               <!-- 대표납부자번호 -->
        <result property="rprsPyrNm"             column="RPRS_PYR_NM" />               <!-- 대표납부자명 -->
        <result property="pyrTelno"              column="PYR_TELNO" />                 <!-- 납부자전화번호 -->
        <result property="pyrMblTelno"           column="PYR_MBL_TELNO" />             <!-- 납부자휴대전화번호 -->
        <result property="pyrEmlAddr"            column="PYR_EML_ADDR" />              <!-- 납부자이메일주소 -->
        <result property="pyrSttCd"              column="PYR_STT_CD" />                <!-- 납부자상태코드 -->
        <result property="pyrLotnoRoadAddrSeCd"  column="PYR_LOTNO_ROAD_ADDR_SE_CD" /> <!-- 납부자지번도로주소구분코드 -->
        <result property="pyrZip"                column="PYR_ZIP" />                   <!-- 납부자우편번호 -->
        <result property="pyrRoadNmCd"           column="PYR_ROAD_NM_CD" />            <!-- 납부자도로명코드 -->
        <result property="pyrAddrUdgdYn"         column="PYR_ADDR_UDGD_YN" />          <!-- 납부자주소지하여부 -->
        <result property="pyrBmno"               column="PYR_BMNO" />                  <!-- 납부자건물본번 -->
        <result property="pyrBsno"               column="PYR_BSNO" />                  <!-- 납부자건물부번 -->
        <result property="pyrStdgCd"             column="PYR_STDG_CD" />               <!-- 납부자법정동코드 -->
        <result property="pyrDongCd"             column="PYR_DONG_CD" />               <!-- 납부자행정동코드 -->
        <result property="pyrMtnSeCd"            column="PYR_MTN_SE_CD" />             <!-- 납부자산구분코드 -->
        <result property="pyrBldgMngNo"          column="PYR_BLDG_MNG_NO" />           <!-- 납부자건물관리번호 -->
        <result property="pyrBldgNm"             column="PYR_BLDG_NM" />               <!-- 납부자건물명 -->
        <result property="pyrMno"                column="PYR_MNO" />                   <!-- 납부자본번 -->
        <result property="pyrSno"                column="PYR_SNO" />                   <!-- 납부자부번 -->
        <result property="pyrSpclDg"             column="PYR_SPCL_DG" />               <!-- 납부자특수동 -->
        <result property="pyrSpclHo"             column="PYR_SPCL_HO" />               <!-- 납부자특수호 -->
        <result property="pyrTong"               column="PYR_TONG" />                  <!-- 납부자통 -->
        <result property="pyrBan"                column="PYR_BAN" />                   <!-- 납부자반 -->
        <result property="pyrSpclAddr"           column="PYR_SPCL_ADDR" />             <!-- 납부자특수주소 -->
        <result property="pyrRoadNmAddr"         column="PYR_ROAD_NM_ADDR" />          <!-- 납부자도로명주소 -->
        <result property="pyrRoadNmDaddr"        column="PYR_ROAD_NM_DADDR" />         <!-- 납부자도로명상세주소 -->
        <result property="pyrRoadNmAlAddr"       column="PYR_ROAD_NM_AL_ADDR" />       <!-- 납부자도로명전체주소 -->
        <result property="pyrLotnoAddr"          column="PYR_LOTNO_ADDR" />            <!-- 납부자지번주소 -->
        <result property="pyrLotnoDaddr"         column="PYR_LOTNO_DADDR" />           <!-- 납부자지번상세주소 -->
        <result property="pyrLotnoAlAddr"        column="PYR_LOTNO_AL_ADDR" />         <!-- 납부자지번전체주소 -->
        <result property="glNm"                  column="GL_NM" />                     <!-- 물건지명 -->
        <result property="glLotnoRoadAddrSeCd"   column="GL_LOTNO_ROAD_ADDR_SE_CD" />  <!-- 물건지지번도로주소구분코드 -->
        <result property="glZip"                 column="GL_ZIP" />                    <!-- 물건지우편번호 -->
        <result property="glRoadNmCd"            column="GL_ROAD_NM_CD" />             <!-- 물건지도로명코드 -->
        <result property="glAddrUdgdYn"          column="GL_ADDR_UDGD_YN" />           <!-- 물건지주소지하여부 -->
        <result property="glBmno"                column="GL_BMNO" />                   <!-- 물건지건물본번 -->
        <result property="glBsno"                column="GL_BSNO" />                   <!-- 물건지건물부번 -->
        <result property="glStdgCd"              column="GL_STDG_CD" />                <!-- 물건지법정동코드 -->
        <result property="glDongCd"              column="GL_DONG_CD" />                <!-- 물건지행정동코드 -->
        <result property="glMtnSeCd"             column="GL_MTN_SE_CD" />              <!-- 물건지산구분코드 -->
        <result property="glMno"                 column="GL_MNO" />                    <!-- 물건지본번 -->
        <result property="glSno"                 column="GL_SNO" />                    <!-- 물건지부번 -->
        <result property="glSpclAddr"            column="GL_SPCL_ADDR" />              <!-- 물건지특수동 -->
        <result property="glSpclDg"              column="GL_SPCL_DG" />                <!-- 물건지특수호 -->
        <result property="glSpclHo"              column="GL_SPCL_HO" />                <!-- 물건지특수주소 -->
        <result property="glRoadNmAddr"          column="GL_ROAD_NM_ADDR" />           <!-- 물건지도로명기본주소 -->
        <result property="glRoadNmDaddr"         column="GL_ROAD_NM_DADDR" />          <!-- 물건지도로명상세주소 -->
        <result property="glRoadNmAlAddr"        column="GL_ROAD_NM_AL_ADDR" />        <!-- 물건지도로명전체주소 -->
        <result property="glLotnoAddr"           column="GL_LOTNO_ADDR" />             <!-- 물건지지번기본주소 -->
        <result property="glLotnoDaddr"          column="GL_LOTNO_DADDR" />            <!-- 물건지지번상세주소 -->
        <result property="glLotnoAlAddr"         column="GL_LOTNO_AL_ADDR" />          <!-- 물건지지번전체주소 -->
        <result property="lvyTrgtSeCd"           column="LVY_TRGT_SE_CD" />            <!-- 부과대상구분코드 -->
        <result property="regYmd"                column="REG_YMD" />                   <!-- 등록일자 -->
        <result property="finScrgAmt"            column="FIN_SCRG_AMT" />              <!-- 과태료과징금금액 -->
        <result property="fcltSeCd"              column="FCLT_SE_CD" />                <!-- 시설구분코드 -->
        <result property="regSeCd"               column="REG_SE_CD" />                 <!-- 등록구분코드 -->
        <result property="rdtRsnSeCd"            column="RDT_RSN_SE_CD" />             <!-- 감경사유구분코드 -->
        <result property="vhrno"                 column="VHRNO" />                     <!-- 자동차등록번호 -->
        <result property="mclncLaoBssNm"         column="MCLNC_LAO_BSS_NM" />          <!-- 조례법령근거명 -->
        <result property="mngItemCn1"            column="MNG_ITEM_CN1" />              <!-- 관리1항목 -->
        <result property="mngItemCn2"            column="MNG_ITEM_CN2" />              <!-- 관리2항목 -->
        <result property="mngItemCn3"            column="MNG_ITEM_CN3" />              <!-- 관리3항목 -->
        <result property="mngItemCn4"            column="MNG_ITEM_CN4" />              <!-- 관리4항목 -->
        <result property="mngItemCn5"            column="MNG_ITEM_CN5" />              <!-- 관리5항목 -->
        <result property="mngItemCn6"            column="MNG_ITEM_CN6" />              <!-- 관리6항목 -->
        <result property="rmCn"                  column="RM_CN" />                     <!-- 비고내용 -->
        <result property="rsveItem1"             column="RSVE_ITEM1" />                <!-- 예비항목1 -->
        <result property="rsveItem2"             column="RSVE_ITEM2" />                <!-- 예비항목2 -->
        <result property="rsveItem3"             column="RSVE_ITEM3" />                <!-- 예비항목3 -->
        <result property="rsveItem4"             column="RSVE_ITEM4" />                <!-- 예비항목4 -->
        <result property="rsveItem5"             column="RSVE_ITEM5" />                <!-- 예비항목5 -->
        <result property="linkRstDt"             column="LINK_RST_DT" />               <!-- 연계 결과 일시 -->
        <result property="linkRstCd"             column="LINK_RST_CD" />               <!-- 연계 결과 코드 -->
        <result property="linkRstMsg"            column="LINK_RST_MSG" />              <!-- 연계 결과 메시지 -->
        <result property="createdAt"             column="REG_DT" />                    <!-- 등록 일시 -->
        <result property="createdBy"             column="RGTR" />                      <!-- 등록자 -->
        <result property="lastModified"          column="MDFCN_DT" />                  <!-- 수정 일시 -->
        <result property="modifiedBy"            column="MDFR" />                      <!-- 수정자 -->
    </resultMap>

    <sql id="select">
        SELECT A01_ID                    <!-- 일련번호 ID -->
             , TASK_SE_CD                <!-- 업무 구분 코드 -->
             , SGB_CD                    <!-- 자치단체코드 -->
             , LINK_TRGT_CD              <!-- 연계대상코드 -->
             , LINK_MNG_KEY              <!-- 연계관리키 -->
             , DPT_CD                    <!-- 부서코드 -->
             , RCPT_YR                   <!-- 접수연도 -->
             , SPAC_BIZ_CD               <!-- 특별회계사업코드 -->
             , ACT_SE_CD                 <!-- 회계구분코드 -->
             , RPRS_TXM_CD               <!-- 대표세입과목코드 -->
             , OPER_ITEM_CD              <!-- 운영항목코드 -->
             , FIN_SCRG_SE_CD            <!-- 과태료과징금구분코드 -->
             , PYR_SE_CD                 <!-- 납부자구분코드 -->
             , PYR_NO                    <!-- 납부자번호 -->
             , PYR_NM                    <!-- 납부자명 -->
             , RPRS_PYR_NO               <!-- 대표납부자번호 -->
             , RPRS_PYR_NM               <!-- 대표납부자명 -->
             , PYR_TELNO                 <!-- 납부자전화번호 -->
             , PYR_MBL_TELNO             <!-- 납부자휴대전화번호 -->
             , PYR_EML_ADDR              <!-- 납부자이메일주소 -->
             , PYR_STT_CD                <!-- 납부자상태코드 -->
             , PYR_LOTNO_ROAD_ADDR_SE_CD <!-- 납부자지번도로주소구분코드 -->
             , PYR_ZIP                   <!-- 납부자우편번호 -->
             , PYR_ROAD_NM_CD            <!-- 납부자도로명코드 -->
             , PYR_ADDR_UDGD_YN          <!-- 납부자주소지하여부 -->
             , PYR_BMNO                  <!-- 납부자건물본번 -->
             , PYR_BSNO                  <!-- 납부자건물부번 -->
             , PYR_STDG_CD               <!-- 납부자법정동코드 -->
             , PYR_DONG_CD               <!-- 납부자행정동코드 -->
             , PYR_MTN_SE_CD             <!-- 납부자산구분코드 -->
             , PYR_BLDG_MNG_NO           <!-- 납부자건물관리번호 -->
             , PYR_BLDG_NM               <!-- 납부자건물명 -->
             , PYR_MNO                   <!-- 납부자본번 -->
             , PYR_SNO                   <!-- 납부자부번 -->
             , PYR_SPCL_DG               <!-- 납부자특수동 -->
             , PYR_SPCL_HO               <!-- 납부자특수호 -->
             , PYR_TONG                  <!-- 납부자통 -->
             , PYR_BAN                   <!-- 납부자반 -->
             , PYR_SPCL_ADDR             <!-- 납부자특수주소 -->
             , PYR_ROAD_NM_ADDR          <!-- 납부자도로명주소 -->
             , PYR_ROAD_NM_DADDR         <!-- 납부자도로명상세주소 -->
             , PYR_ROAD_NM_AL_ADDR       <!-- 납부자도로명전체주소 -->
             , PYR_LOTNO_ADDR            <!-- 납부자지번주소 -->
             , PYR_LOTNO_DADDR           <!-- 납부자지번상세주소 -->
             , PYR_LOTNO_AL_ADDR         <!-- 납부자지번전체주소 -->
             , GL_NM                     <!-- 물건지명 -->
             , GL_LOTNO_ROAD_ADDR_SE_CD  <!-- 물건지지번도로주소구분코드 -->
             , GL_ZIP                    <!-- 물건지우편번호 -->
             , GL_ROAD_NM_CD             <!-- 물건지도로명코드 -->
             , GL_ADDR_UDGD_YN           <!-- 물건지주소지하여부 -->
             , GL_BMNO                   <!-- 물건지건물본번 -->
             , GL_BSNO                   <!-- 물건지건물부번 -->
             , GL_STDG_CD                <!-- 물건지법정동코드 -->
             , GL_DONG_CD                <!-- 물건지행정동코드 -->
             , GL_MTN_SE_CD              <!-- 물건지산구분코드 -->
             , GL_MNO                    <!-- 물건지본번 -->
             , GL_SNO                    <!-- 물건지부번 -->
             , GL_SPCL_ADDR              <!-- 물건지특수동 -->
             , GL_SPCL_DG                <!-- 물건지특수호 -->
             , GL_SPCL_HO                <!-- 물건지특수주소 -->
             , GL_ROAD_NM_ADDR           <!-- 물건지도로명기본주소 -->
             , GL_ROAD_NM_DADDR          <!-- 물건지도로명상세주소 -->
             , GL_ROAD_NM_AL_ADDR        <!-- 물건지도로명전체주소 -->
             , GL_LOTNO_ADDR             <!-- 물건지지번기본주소 -->
             , GL_LOTNO_DADDR            <!-- 물건지지번상세주소 -->
             , GL_LOTNO_AL_ADDR          <!-- 물건지지번전체주소 -->
             , LVY_TRGT_SE_CD            <!-- 부과대상구분코드 -->
             , REG_YMD                   <!-- 등록일자 -->
             , FIN_SCRG_AMT              <!-- 과태료과징금금액 -->
             , FCLT_SE_CD                <!-- 시설구분코드 -->
             , REG_SE_CD                 <!-- 등록구분코드 -->
             , RDT_RSN_SE_CD             <!-- 감경사유구분코드 -->
             , VHRNO                     <!-- 자동차등록번호 -->
             , MCLNC_LAO_BSS_NM          <!-- 조례법령근거명 -->
             , MNG_ITEM_CN1              <!-- 관리1항목 -->
             , MNG_ITEM_CN2              <!-- 관리2항목 -->
             , MNG_ITEM_CN3              <!-- 관리3항목 -->
             , MNG_ITEM_CN4              <!-- 관리4항목 -->
             , MNG_ITEM_CN5              <!-- 관리5항목 -->
             , MNG_ITEM_CN6              <!-- 관리6항목 -->
             , RM_CN                     <!-- 비고내용 -->
             , RSVE_ITEM1                <!-- 예비항목1 -->
             , RSVE_ITEM2                <!-- 예비항목2 -->
             , RSVE_ITEM3                <!-- 예비항목3 -->
             , RSVE_ITEM4                <!-- 예비항목4 -->
             , RSVE_ITEM5                <!-- 예비항목5 -->
             , LINK_RST_DT               <!-- 연계 결과 일시 -->
             , LINK_RST_CD               <!-- 연계 결과 코드 -->
             , LINK_RST_MSG              <!-- 연계 결과 메시지 -->
             , REG_DT                    <!-- 등록 일시 -->
             , RGTR                      <!-- 등록자 -->
             , MDFCN_DT                  <!-- 수정 일시 -->
             , MDFR                      <!-- 수정자 -->
          FROM TB_NIS_INDIV_A01
    </sql>

    <select id="selectNisIndivA01List" parameterType="map" resultType="dataobject">/* 과태료 대장 단속 정보 등록 목록 조회(nisIndivA01Mapper.selectNisIndivA01List) */
        <include refid="utility.paging-prefix" />
        <include refid="select" />
        <where>
        </where>
        <include refid="utility.orderBy" />
        <include refid="utility.paging-suffix" />
    </select>

    <select id="selectNisIndivA01s" parameterType="map" resultType="dataobject">/* 과태료 대장 단속 정보 등록 객체 가져오기(nisIndivA01Mapper.selectNisIndivA01s) */
        <include refid="select" />
        <where>
        </where>
        <include refid="utility.orderBy" />
    </select>

    <insert id="insertNisIndivA01" parameterType="map">/* 과태료 대장 단속 정보 등록 등록(nisIndivA01Mapper.insertNisIndivA01) */
        <selectKey resultType="string" keyProperty="nisIndivA01.a01Id" keyColumn="NEW_ID" order="BEFORE">
            SELECT CONCAT(DATE_FORMAT(CURRENT_DATE, '%Y%m%d'), LPAD(CAST(IFNULL(MAX(SUBSTRING(A01_ID, 9)) + 1, 1) AS INT), 22, '0')) AS NEW_ID
              FROM TB_NIS_INDIV_A01
             WHERE A01_ID LIKE CONCAT(DATE_FORMAT(CURRENT_DATE, '%Y%m%d'), '%')
        </selectKey>
        INSERT
          INTO TB_NIS_INDIV_A01 (
               A01_ID                    <!-- 일련번호 ID -->
             , TASK_SE_CD                <!-- 업무 구분 코드 -->
             , SGB_CD                    <!-- 자치단체코드 -->
             , LINK_TRGT_CD              <!-- 연계대상코드 -->
             , LINK_MNG_KEY              <!-- 연계관리키 -->
             , DPT_CD                    <!-- 부서코드 -->
             , RCPT_YR                   <!-- 접수연도 -->
             , SPAC_BIZ_CD               <!-- 특별회계사업코드 -->
             , ACT_SE_CD                 <!-- 회계구분코드 -->
             , RPRS_TXM_CD               <!-- 대표세입과목코드 -->
             , OPER_ITEM_CD              <!-- 운영항목코드 -->
             , FIN_SCRG_SE_CD            <!-- 과태료과징금구분코드 -->
             , PYR_SE_CD                 <!-- 납부자구분코드 -->
             , PYR_NO                    <!-- 납부자번호 -->
             , PYR_NM                    <!-- 납부자명 -->
             , RPRS_PYR_NO               <!-- 대표납부자번호 -->
             , RPRS_PYR_NM               <!-- 대표납부자명 -->
             , PYR_TELNO                 <!-- 납부자전화번호 -->
             , PYR_MBL_TELNO             <!-- 납부자휴대전화번호 -->
             , PYR_EML_ADDR              <!-- 납부자이메일주소 -->
             , PYR_STT_CD                <!-- 납부자상태코드 -->
             , PYR_LOTNO_ROAD_ADDR_SE_CD <!-- 납부자지번도로주소구분코드 -->
             , PYR_ZIP                   <!-- 납부자우편번호 -->
             , PYR_ROAD_NM_CD            <!-- 납부자도로명코드 -->
             , PYR_ADDR_UDGD_YN          <!-- 납부자주소지하여부 -->
             , PYR_BMNO                  <!-- 납부자건물본번 -->
             , PYR_BSNO                  <!-- 납부자건물부번 -->
             , PYR_STDG_CD               <!-- 납부자법정동코드 -->
             , PYR_DONG_CD               <!-- 납부자행정동코드 -->
             , PYR_MTN_SE_CD             <!-- 납부자산구분코드 -->
             , PYR_BLDG_MNG_NO           <!-- 납부자건물관리번호 -->
             , PYR_BLDG_NM               <!-- 납부자건물명 -->
             , PYR_MNO                   <!-- 납부자본번 -->
             , PYR_SNO                   <!-- 납부자부번 -->
             , PYR_SPCL_DG               <!-- 납부자특수동 -->
             , PYR_SPCL_HO               <!-- 납부자특수호 -->
             , PYR_TONG                  <!-- 납부자통 -->
             , PYR_BAN                   <!-- 납부자반 -->
             , PYR_SPCL_ADDR             <!-- 납부자특수주소 -->
             , PYR_ROAD_NM_ADDR          <!-- 납부자도로명주소 -->
             , PYR_ROAD_NM_DADDR         <!-- 납부자도로명상세주소 -->
             , PYR_ROAD_NM_AL_ADDR       <!-- 납부자도로명전체주소 -->
             , PYR_LOTNO_ADDR            <!-- 납부자지번주소 -->
             , PYR_LOTNO_DADDR           <!-- 납부자지번상세주소 -->
             , PYR_LOTNO_AL_ADDR         <!-- 납부자지번전체주소 -->
             , GL_NM                     <!-- 물건지명 -->
             , GL_LOTNO_ROAD_ADDR_SE_CD  <!-- 물건지지번도로주소구분코드 -->
             , GL_ZIP                    <!-- 물건지우편번호 -->
             , GL_ROAD_NM_CD             <!-- 물건지도로명코드 -->
             , GL_ADDR_UDGD_YN           <!-- 물건지주소지하여부 -->
             , GL_BMNO                   <!-- 물건지건물본번 -->
             , GL_BSNO                   <!-- 물건지건물부번 -->
             , GL_STDG_CD                <!-- 물건지법정동코드 -->
             , GL_DONG_CD                <!-- 물건지행정동코드 -->
             , GL_MTN_SE_CD              <!-- 물건지산구분코드 -->
             , GL_MNO                    <!-- 물건지본번 -->
             , GL_SNO                    <!-- 물건지부번 -->
             , GL_SPCL_ADDR              <!-- 물건지특수동 -->
             , GL_SPCL_DG                <!-- 물건지특수호 -->
             , GL_SPCL_HO                <!-- 물건지특수주소 -->
             , GL_ROAD_NM_ADDR           <!-- 물건지도로명기본주소 -->
             , GL_ROAD_NM_DADDR          <!-- 물건지도로명상세주소 -->
             , GL_ROAD_NM_AL_ADDR        <!-- 물건지도로명전체주소 -->
             , GL_LOTNO_ADDR             <!-- 물건지지번기본주소 -->
             , GL_LOTNO_DADDR            <!-- 물건지지번상세주소 -->
             , GL_LOTNO_AL_ADDR          <!-- 물건지지번전체주소 -->
             , LVY_TRGT_SE_CD            <!-- 부과대상구분코드 -->
             , REG_YMD                   <!-- 등록일자 -->
             , FIN_SCRG_AMT              <!-- 과태료과징금금액 -->
             , FCLT_SE_CD                <!-- 시설구분코드 -->
             , REG_SE_CD                 <!-- 등록구분코드 -->
             , RDT_RSN_SE_CD             <!-- 감경사유구분코드 -->
             , VHRNO                     <!-- 자동차등록번호 -->
             , MCLNC_LAO_BSS_NM          <!-- 조례법령근거명 -->
             , MNG_ITEM_CN1              <!-- 관리1항목 -->
             , MNG_ITEM_CN2              <!-- 관리2항목 -->
             , MNG_ITEM_CN3              <!-- 관리3항목 -->
             , MNG_ITEM_CN4              <!-- 관리4항목 -->
             , MNG_ITEM_CN5              <!-- 관리5항목 -->
             , MNG_ITEM_CN6              <!-- 관리6항목 -->
             , RM_CN                     <!-- 비고내용 -->
             , RSVE_ITEM1                <!-- 예비항목1 -->
             , RSVE_ITEM2                <!-- 예비항목2 -->
             , RSVE_ITEM3                <!-- 예비항목3 -->
             , RSVE_ITEM4                <!-- 예비항목4 -->
             , RSVE_ITEM5                <!-- 예비항목5 -->
             , LINK_RST_DT               <!-- 연계 결과 일시 -->
             , LINK_RST_CD               <!-- 연계 결과 코드 -->
             , LINK_RST_MSG              <!-- 연계 결과 메시지 -->
             , REG_DT                    <!-- 등록 일시 -->
             , RGTR                      <!-- 등록자 -->
             , MDFCN_DT                  <!-- 수정 일시 -->
             , MDFR                      <!-- 수정자 -->
        )
        VALUES (
               #{nisIndivA01.a01Id}                <!-- 일련번호 ID -->
             , #{nisIndivA01.taskSeCd}             <!-- 업무 구분 코드 -->
             , #{nisIndivA01.sgbCd}                <!-- 자치단체코드 -->
             , #{nisIndivA01.linkTrgtCd}           <!-- 연계대상코드 -->
             , #{nisIndivA01.linkMngKey}           <!-- 연계관리키 -->
             , #{nisIndivA01.dptCd}                <!-- 부서코드 -->
             , #{nisIndivA01.rcptYr}               <!-- 접수연도 -->
             , #{nisIndivA01.spacBizCd}            <!-- 특별회계사업코드 -->
             , #{nisIndivA01.actSeCd}              <!-- 회계구분코드 -->
             , #{nisIndivA01.rprsTxmCd}            <!-- 대표세입과목코드 -->
             , #{nisIndivA01.operItemCd}           <!-- 운영항목코드 -->
             , #{nisIndivA01.finScrgSeCd}          <!-- 과태료과징금구분코드 -->
             , #{nisIndivA01.pyrSeCd}              <!-- 납부자구분코드 -->
             , #{nisIndivA01.pyrNo}                <!-- 납부자번호 -->
             , #{nisIndivA01.pyrNm}                <!-- 납부자명 -->
             , #{nisIndivA01.rprsPyrNo}            <!-- 대표납부자번호 -->
             , #{nisIndivA01.rprsPyrNm}            <!-- 대표납부자명 -->
             , #{nisIndivA01.pyrTelno}             <!-- 납부자전화번호 -->
             , #{nisIndivA01.pyrMblTelno}          <!-- 납부자휴대전화번호 -->
             , #{nisIndivA01.pyrEmlAddr}           <!-- 납부자이메일주소 -->
             , #{nisIndivA01.pyrSttCd}             <!-- 납부자상태코드 -->
             , #{nisIndivA01.pyrLotnoRoadAddrSeCd} <!-- 납부자지번도로주소구분코드 -->
             , #{nisIndivA01.pyrZip}               <!-- 납부자우편번호 -->
             , #{nisIndivA01.pyrRoadNmCd}          <!-- 납부자도로명코드 -->
             , #{nisIndivA01.pyrAddrUdgdYn}        <!-- 납부자주소지하여부 -->
             , #{nisIndivA01.pyrBmno}              <!-- 납부자건물본번 -->
             , #{nisIndivA01.pyrBsno}              <!-- 납부자건물부번 -->
             , #{nisIndivA01.pyrStdgCd}            <!-- 납부자법정동코드 -->
             , #{nisIndivA01.pyrDongCd}            <!-- 납부자행정동코드 -->
             , #{nisIndivA01.pyrMtnSeCd}           <!-- 납부자산구분코드 -->
             , #{nisIndivA01.pyrBldgMngNo}         <!-- 납부자건물관리번호 -->
             , #{nisIndivA01.pyrBldgNm}            <!-- 납부자건물명 -->
             , #{nisIndivA01.pyrMno}               <!-- 납부자본번 -->
             , #{nisIndivA01.pyrSno}               <!-- 납부자부번 -->
             , #{nisIndivA01.pyrSpclDg}            <!-- 납부자특수동 -->
             , #{nisIndivA01.pyrSpclHo}            <!-- 납부자특수호 -->
             , #{nisIndivA01.pyrTong}              <!-- 납부자통 -->
             , #{nisIndivA01.pyrBan}               <!-- 납부자반 -->
             , #{nisIndivA01.pyrSpclAddr}          <!-- 납부자특수주소 -->
             , #{nisIndivA01.pyrRoadNmAddr}        <!-- 납부자도로명주소 -->
             , #{nisIndivA01.pyrRoadNmDaddr}       <!-- 납부자도로명상세주소 -->
             , #{nisIndivA01.pyrRoadNmAlAddr}      <!-- 납부자도로명전체주소 -->
             , #{nisIndivA01.pyrLotnoAddr}         <!-- 납부자지번주소 -->
             , #{nisIndivA01.pyrLotnoDaddr}        <!-- 납부자지번상세주소 -->
             , #{nisIndivA01.pyrLotnoAlAddr}       <!-- 납부자지번전체주소 -->
             , #{nisIndivA01.glNm}                 <!-- 물건지명 -->
             , #{nisIndivA01.glLotnoRoadAddrSeCd}  <!-- 물건지지번도로주소구분코드 -->
             , #{nisIndivA01.glZip}                <!-- 물건지우편번호 -->
             , #{nisIndivA01.glRoadNmCd}           <!-- 물건지도로명코드 -->
             , #{nisIndivA01.glAddrUdgdYn}         <!-- 물건지주소지하여부 -->
             , #{nisIndivA01.glBmno}               <!-- 물건지건물본번 -->
             , #{nisIndivA01.glBsno}               <!-- 물건지건물부번 -->
             , #{nisIndivA01.glStdgCd}             <!-- 물건지법정동코드 -->
             , #{nisIndivA01.glDongCd}             <!-- 물건지행정동코드 -->
             , #{nisIndivA01.glMtnSeCd}            <!-- 물건지산구분코드 -->
             , #{nisIndivA01.glMno}                <!-- 물건지본번 -->
             , #{nisIndivA01.glSno}                <!-- 물건지부번 -->
             , #{nisIndivA01.glSpclAddr}           <!-- 물건지특수동 -->
             , #{nisIndivA01.glSpclDg}             <!-- 물건지특수호 -->
             , #{nisIndivA01.glSpclHo}             <!-- 물건지특수주소 -->
             , #{nisIndivA01.glRoadNmAddr}         <!-- 물건지도로명기본주소 -->
             , #{nisIndivA01.glRoadNmDaddr}        <!-- 물건지도로명상세주소 -->
             , #{nisIndivA01.glRoadNmAlAddr}       <!-- 물건지도로명전체주소 -->
             , #{nisIndivA01.glLotnoAddr}          <!-- 물건지지번기본주소 -->
             , #{nisIndivA01.glLotnoDaddr}         <!-- 물건지지번상세주소 -->
             , #{nisIndivA01.glLotnoAlAddr}        <!-- 물건지지번전체주소 -->
             , #{nisIndivA01.lvyTrgtSeCd}          <!-- 부과대상구분코드 -->
             , #{nisIndivA01.regYmd}               <!-- 등록일자 -->
             , #{nisIndivA01.finScrgAmt}           <!-- 과태료과징금금액 -->
             , #{nisIndivA01.fcltSeCd}             <!-- 시설구분코드 -->
             , #{nisIndivA01.regSeCd}              <!-- 등록구분코드 -->
             , #{nisIndivA01.rdtRsnSeCd}           <!-- 감경사유구분코드 -->
             , #{nisIndivA01.vhrno}                <!-- 자동차등록번호 -->
             , #{nisIndivA01.mclncLaoBssNm}        <!-- 조례법령근거명 -->
             , #{nisIndivA01.mngItemCn1}           <!-- 관리1항목 -->
             , #{nisIndivA01.mngItemCn2}           <!-- 관리2항목 -->
             , #{nisIndivA01.mngItemCn3}           <!-- 관리3항목 -->
             , #{nisIndivA01.mngItemCn4}           <!-- 관리4항목 -->
             , #{nisIndivA01.mngItemCn5}           <!-- 관리5항목 -->
             , #{nisIndivA01.mngItemCn6}           <!-- 관리6항목 -->
             , #{nisIndivA01.rmCn}                 <!-- 비고내용 -->
             , #{nisIndivA01.rsveItem1}            <!-- 예비항목1 -->
             , #{nisIndivA01.rsveItem2}            <!-- 예비항목2 -->
             , #{nisIndivA01.rsveItem3}            <!-- 예비항목3 -->
             , #{nisIndivA01.rsveItem4}            <!-- 예비항목4 -->
             , #{nisIndivA01.rsveItem5}            <!-- 예비항목5 -->
             , #{nisIndivA01.linkRstDt}            <!-- 연계 결과 일시 -->
             , #{nisIndivA01.linkRstCd}            <!-- 연계 결과 코드 -->
             , #{nisIndivA01.linkRstMsg}           <!-- 연계 결과 메시지 -->
             , <include refid="utility.now" />     <!-- 등록 일시 -->
             , #{currentUser.id}                   <!-- 등록자 -->
             , <include refid="utility.now" />     <!-- 수정 일시 -->
             , #{currentUser.id}                   <!-- 수정자 -->
        )
    </insert>

    <update id="updateNisIndivA01" parameterType="map">/* 과태료 대장 단속 정보 등록 수정(nisIndivA01Mapper.updateNisIndivA01) */
        UPDATE TB_NIS_INDIV_A01
           SET TASK_SE_CD       = #{nisIndivA01.taskSeCd}       <!-- 업무 구분 코드 -->
             , SGB_CD           = #{nisIndivA01.sgbCd}          <!-- 자치단체코드 -->
             , LINK_TRGT_CD     = #{nisIndivA01.linkTrgtCd}     <!-- 연계대상코드 -->
             , LINK_MNG_KEY     = #{nisIndivA01.linkMngKey}     <!-- 연계관리키 -->
             , DPT_CD           = #{nisIndivA01.dptCd}          <!-- 부서코드 -->
             , RCPT_YR          = #{nisIndivA01.rcptYr}         <!-- 접수연도 -->
             , SPAC_BIZ_CD      = #{nisIndivA01.spacBizCd}      <!-- 특별회계사업코드 -->
             , ACT_SE_CD        = #{nisIndivA01.actSeCd}        <!-- 회계구분코드 -->
             , RPRS_TXM_CD      = #{nisIndivA01.rprsTxmCd}      <!-- 대표세입과목코드 -->
             , OPER_ITEM_CD     = #{nisIndivA01.operItemCd}     <!-- 운영항목코드 -->
             , FIN_SCRG_SE_CD   = #{nisIndivA01.finScrgSeCd}    <!-- 과태료과징금구분코드 -->
             , PYR_SE_CD        = #{nisIndivA01.pyrSeCd}        <!-- 납부자구분코드 -->
             , PYR_NO           = #{nisIndivA01.pyrNo}          <!-- 납부자번호 -->
             , PYR_NM           = #{nisIndivA01.pyrNm}          <!-- 납부자명 -->
             , RPRS_PYR_NO      = #{nisIndivA01.rprsPyrNo}      <!-- 대표납부자번호 -->
             , RPRS_PYR_NM      = #{nisIndivA01.rprsPyrNm}      <!-- 대표납부자명 -->
             , PYR_TELNO        = #{nisIndivA01.pyrTelno}       <!-- 납부자전화번호 -->
             , PYR_MBL_TELNO    = #{nisIndivA01.pyrMblTelno}    <!-- 납부자휴대전화번호 -->
             , PYR_EML_ADDR     = #{nisIndivA01.pyrEmlAddr}     <!-- 납부자이메일주소 -->
             , PYR_STT_CD       = #{nisIndivA01.pyrSttCd}       <!-- 납부자상태코드 -->
             , PYR_LOTNO_ROAD_ADDR_SE_CD = #{nisIndivA01.pyrLotnoRoadAddrSeCd}  <!-- 납부자지번도로주소구분코드 -->
             , PYR_ZIP          = #{nisIndivA01.pyrZip}         <!-- 납부자우편번호 -->
             , PYR_ROAD_NM_CD   = #{nisIndivA01.pyrRoadNmCd}    <!-- 납부자도로명코드 -->
             , PYR_ADDR_UDGD_YN = #{nisIndivA01.pyrAddrUdgdYn}  <!-- 납부자주소지하여부 -->
             , PYR_BMNO         = #{nisIndivA01.pyrBmno}        <!-- 납부자건물본번 -->
             , PYR_BSNO         = #{nisIndivA01.pyrBsno}        <!-- 납부자건물부번 -->
             , PYR_STDG_CD      = #{nisIndivA01.pyrStdgCd}      <!-- 납부자법정동코드 -->
             , PYR_DONG_CD      = #{nisIndivA01.pyrDongCd}      <!-- 납부자행정동코드 -->
             , PYR_MTN_SE_CD    = #{nisIndivA01.pyrMtnSeCd}     <!-- 납부자산구분코드 -->
             , PYR_BLDG_MNG_NO  = #{nisIndivA01.pyrBldgMngNo}   <!-- 납부자건물관리번호 -->
             , PYR_BLDG_NM      = #{nisIndivA01.pyrBldgNm}      <!-- 납부자건물명 -->
             , PYR_MNO          = #{nisIndivA01.pyrMno}         <!-- 납부자본번 -->
             , PYR_SNO          = #{nisIndivA01.pyrSno}         <!-- 납부자부번 -->
             , PYR_SPCL_DG      = #{nisIndivA01.pyrSpclDg}      <!-- 납부자특수동 -->
             , PYR_SPCL_HO      = #{nisIndivA01.pyrSpclHo}      <!-- 납부자특수호 -->
             , PYR_TONG         = #{nisIndivA01.pyrTong}        <!-- 납부자통 -->
             , PYR_BAN          = #{nisIndivA01.pyrBan}         <!-- 납부자반 -->
             , PYR_SPCL_ADDR    = #{nisIndivA01.pyrSpclAddr}    <!-- 납부자특수주소 -->
             , PYR_ROAD_NM_ADDR = #{nisIndivA01.pyrRoadNmAddr}  <!-- 납부자도로명주소 -->
             , PYR_ROAD_NM_DADDR= #{nisIndivA01.pyrRoadNmDaddr} <!-- 납부자도로명상세주소 -->
             , PYR_ROAD_NM_AL_ADDR = #{nisIndivA01.pyrRoadNmAlAddr} <!-- 납부자도로명전체주소 -->
             , PYR_LOTNO_ADDR   = #{nisIndivA01.pyrLotnoAddr}   <!-- 납부자지번주소 -->
             , PYR_LOTNO_DADDR  = #{nisIndivA01.pyrLotnoDaddr}  <!-- 납부자지번상세주소 -->
             , PYR_LOTNO_AL_ADDR= #{nisIndivA01.pyrLotnoAlAddr} <!-- 납부자지번전체주소 -->
             , GL_NM            = #{nisIndivA01.glNm}           <!-- 물건지명 -->
             , GL_LOTNO_ROAD_ADDR_SE_CD = #{nisIndivA01.glLotnoRoadAddrSeCd}    <!-- 물건지지번도로주소구분코드 -->
             , GL_ZIP           = #{nisIndivA01.glZip}          <!-- 물건지우편번호 -->
             , GL_ROAD_NM_CD    = #{nisIndivA01.glRoadNmCd}     <!-- 물건지도로명코드 -->
             , GL_ADDR_UDGD_YN  = #{nisIndivA01.glAddrUdgdYn}   <!-- 물건지주소지하여부 -->
             , GL_BMNO          = #{nisIndivA01.glBmno}         <!-- 물건지건물본번 -->
             , GL_BSNO          = #{nisIndivA01.glBsno}         <!-- 물건지건물부번 -->
             , GL_STDG_CD       = #{nisIndivA01.glStdgCd}       <!-- 물건지법정동코드 -->
             , GL_DONG_CD       = #{nisIndivA01.glDongCd}       <!-- 물건지행정동코드 -->
             , GL_MTN_SE_CD     = #{nisIndivA01.glMtnSeCd}      <!-- 물건지산구분코드 -->
             , GL_MNO           = #{nisIndivA01.glMno}          <!-- 물건지본번 -->
             , GL_SNO           = #{nisIndivA01.glSno}          <!-- 물건지부번 -->
             , GL_SPCL_ADDR     = #{nisIndivA01.glSpclAddr}     <!-- 물건지특수동 -->
             , GL_SPCL_DG       = #{nisIndivA01.glSpclDg}       <!-- 물건지특수호 -->
             , GL_SPCL_HO       = #{nisIndivA01.glSpclHo}       <!-- 물건지특수주소 -->
             , GL_ROAD_NM_ADDR  = #{nisIndivA01.glRoadNmAddr}   <!-- 물건지도로명기본주소 -->
             , GL_ROAD_NM_DADDR = #{nisIndivA01.glRoadNmDaddr}  <!-- 물건지도로명상세주소 -->
             , GL_ROAD_NM_AL_ADDR = #{nisIndivA01.glRoadNmAlAddr}   <!-- 물건지도로명전체주소 -->
             , GL_LOTNO_ADDR    = #{nisIndivA01.glLotnoAddr}    <!-- 물건지지번기본주소 -->
             , GL_LOTNO_DADDR   = #{nisIndivA01.glLotnoDaddr}   <!-- 물건지지번상세주소 -->
             , GL_LOTNO_AL_ADDR = #{nisIndivA01.glLotnoAlAddr}  <!-- 물건지지번전체주소 -->
             , LVY_TRGT_SE_CD   = #{nisIndivA01.lvyTrgtSeCd}    <!-- 부과대상구분코드 -->
             , REG_YMD          = #{nisIndivA01.regYmd}         <!-- 등록일자 -->
             , FIN_SCRG_AMT     = #{nisIndivA01.finScrgAmt}     <!-- 과태료과징금금액 -->
             , FCLT_SE_CD       = #{nisIndivA01.fcltSeCd}       <!-- 시설구분코드 -->
             , REG_SE_CD        = #{nisIndivA01.regSeCd}        <!-- 등록구분코드 -->
             , RDT_RSN_SE_CD    = #{nisIndivA01.rdtRsnSeCd}     <!-- 감경사유구분코드 -->
             , VHRNO            = #{nisIndivA01.vhrno}          <!-- 자동차등록번호 -->
             , MCLNC_LAO_BSS_NM = #{nisIndivA01.mclncLaoBssNm}  <!-- 조례법령근거명 -->
             , MNG_ITEM_CN1     = #{nisIndivA01.mngItemCn1}     <!-- 관리1항목 -->
             , MNG_ITEM_CN2     = #{nisIndivA01.mngItemCn2}     <!-- 관리2항목 -->
             , MNG_ITEM_CN3     = #{nisIndivA01.mngItemCn3}     <!-- 관리3항목 -->
             , MNG_ITEM_CN4     = #{nisIndivA01.mngItemCn4}     <!-- 관리4항목 -->
             , MNG_ITEM_CN5     = #{nisIndivA01.mngItemCn5}     <!-- 관리5항목 -->
             , MNG_ITEM_CN6     = #{nisIndivA01.mngItemCn6}     <!-- 관리6항목 -->
             , RM_CN            = #{nisIndivA01.rmCn}           <!-- 비고내용 -->
             , RSVE_ITEM1       = #{nisIndivA01.rsveItem1}      <!-- 예비항목1 -->
             , RSVE_ITEM2       = #{nisIndivA01.rsveItem2}      <!-- 예비항목2 -->
             , RSVE_ITEM3       = #{nisIndivA01.rsveItem3}      <!-- 예비항목3 -->
             , RSVE_ITEM4       = #{nisIndivA01.rsveItem4}      <!-- 예비항목4 -->
             , RSVE_ITEM5       = #{nisIndivA01.rsveItem5}      <!-- 예비항목5 -->
             , LINK_RST_DT      = #{nisIndivA01.linkRstDt}      <!-- 연계 결과 일시 -->
             , LINK_RST_CD      = #{nisIndivA01.linkRstCd}      <!-- 연계 결과 코드 -->
             , LINK_RST_MSG     = #{nisIndivA01.linkRstMsg}     <!-- 연계 결과 메시지 -->
             , MDFCN_DT         = <include refid="utility.now" /> <!-- 수정 일시 -->
             , MDFR             = #{levyExcl.modifiedBy}        <!-- 수정자 -->
         WHERE A01_ID           = #{nisIndivA01.a01Id}
    </update>

    <update id="deleteNisIndivA01" parameterType="map">/* 과태료 대장 단속 정보 등록 삭제(nisIndivA01Mapper.deleteNisIndivA01) */
        UPDATE TB_NIS_INDIV_A01
           SET USE_YN   = 'N'
             , MDFCN_DT = <include refid="utility.now" />
             , MDFR     = #{currentUser.id}
         WHERE A01_ID   = #{nisIndivA01.a01Id}
    </update>

	<select id="selectCrdnList" parameterType="map" resultType="dataobject">/* 단속 목록 가져오기(nisIndivA01Mapper.selectCrdnList) */
        SELECT C.CRDN_ID                <!-- 단속 ID -->
             , C.SGG_CD                 <!-- 시군구 코드 -->
             , C.TASK_SE_CD             <!-- 업무 구분 코드 -->
             , C.CRDN_REG_SE_CD         <!-- 단속 등록 구분 코드 -->
             , C.CRDN_INPT_SE_CD        <!-- 단속 입력 구분 코드 -->
             , C.CVLCPT_LINK_YN         <!-- 민원 연계 여부 -->
             , C.CVLCPT_LINK_TBL_NM     <!-- 민원 연계 테이블 명 -->
             , C.CVLCPT_LINK_ID         <!-- 민원 연계 ID -->
             , C.RTPYR_ID               <!-- 납부자 ID -->
             , C.CRDN_YMD               <!-- 단속 일자 -->
             , C.CRDN_TM                <!-- 단속 시각 -->
             , C.VHRNO                  <!-- 차량번호 -->
             , C.CRDN_STDG_NM           <!-- 단속 법정동 명 -->
             , C.CRDN_ROAD_NM           <!-- 단속 도로 명 -->
             , C.CRDN_PLC               <!-- 단속 장소 -->
             , C.VLTN_ID                <!-- 위반 ID -->
             , C.GPS_X                  <!-- GPS X -->
             , C.GPS_Y                  <!-- GPS_Y -->
             , C.ATCH_FILE_CNT          <!-- 첨부 파일 수 -->
             , C.VIN                    <!-- 차대번호 -->
             , C.VHCL_NM                <!-- 차량 명 -->
             , C.VHCL_COLR              <!-- 차량 색상 -->
             , C.VHCL_CPCT              <!-- 차량 승차정원 -->
             , C.FFNLG_CRDN_AMT         <!-- 과태료 단속 금액 -->
             , C.FFNLG_RDCRT            <!-- 과태료 감경율 -->
             , C.FFNLG_AMT              <!--  -->
             , C.ADVNTCE_BGNG_YMD       <!--  -->
             , C.ADVNTCE_DUDT_YMD       <!--  -->
             , C.ADVNTCE_AMT            <!--  -->
             , C.OPNN_SBMSN_YN          <!--  -->
             , C.ETC_CN                 <!--  -->
             , C.CRDN_STTS_CD           <!--  -->
             , C.CRDN_STTS_CHG_DT       <!--  -->
             , C.NXRP_CRDN_LINK_YN      <!--  -->
             , C.NXRP_CRDN_LINK_USER_ID <!--  -->
             , C.NXRP_CRDN_LINK_DT      <!--  -->
             , CA.CRDN_SE_CD            <!-- 단속 구분 코드 -->
             , CA.TEAM_ID               <!-- 조 ID -->
             , CA.DTL_CRDN_PLC          <!-- 상세 단속 장소 -->
             , CA.CRDN_SPAREA_CD        <!-- 단속 특별구역 코드 -->
             , CA.CRDN_BGNG_TM          <!-- 단속 시작 시각 -->
             , CA.CRDN_END_TM           <!-- 단속 종료 시각 -->
             , CA.CRDN_SN               <!-- 단속 일련번호 -->
             , CA.MOSC_X                <!-- 모자이크 X -->
             , CA.MOSC_Y                <!-- 모자이크 Y -->
             , CA.TOWNG_YN              <!-- 견인 여부 -->
             , CA.USE_FUEL_CD           <!-- 사용 연료 코드 -->
             , CA.FFNLG_CARMDL_CD       <!-- 과태료 차종 코드 -->
             , CA.PRK_PSBLTY_RSLT_CD    <!-- 주차 가능 결과 코드 -->
             , CA.VLTN_NMTM             <!-- 위반 횟수 -->
             , CA.OVTM_YN               <!-- 시간외 여부 -->
             , CA.OVTM_PRTTN_YN         <!-- 시간외 분할 여부 -->
             , V.VLTN_ARTCL             <!-- 위반 항목 -->
             , V.VLTN_LAW_NM            <!-- 위반 법 명 -->
             , V.VLTN_LAW1              <!-- 위반 법1 -->
             , V.VLTN_LAW2              <!-- 위반 법2 -->
             , V.VLTN_LAW_ETC           <!-- 위반 법 기타 -->
             , V.ACNTG_SE_CD            <!-- 회계 구분 코드 -->
             , V.TXITM_CD               <!-- 세목 코드 -->
             , V.OPER_ITEM_CD           <!-- 운영 항목 코드 -->
             , V.SPCL_BIZ_CD            <!-- 특별회계 사업 코드 -->
             , P.RTPYR_ID               <!-- 납부자 ID -->
             , P.RTPYR_INPT_SE_CD       <!-- 납부자 입력 구분 코드 -->
             , P.RTPYR_SE_CD            <!-- 납부자 구분 코드 -->
             , P.RTPYR_NO               <!-- 납부자 번호 -->
             , P.RTPYR_NM               <!-- 납부자 명 -->
             , P.RTPYR_TELNO            <!-- 납부자 전화번호 -->
             , P.RTPYR_MBL_TELNO        <!-- 납부자 휴대 전화번호 -->
             , P.RTPYR_EML              <!-- 납부자 이메일 -->
             , P.RTPYR_STTS_CD          <!-- 납부자 상태 코드 -->
             , PA.ADDR_SE_CD            <!-- 주소 구분 코드 -->
             , PA.ZIP                   <!-- 우편번호 -->
             , PA.ROAD_NM_CD            <!-- 도로 명 코드 -->
             , PA.UDGD_SE_CD            <!-- 지하 구분 코드 -->
             , PA.BMNO                  <!-- 건물본번 -->
             , PA.BSNO                  <!-- 건물부번 -->
             , PA.BLDG_MNG_NO           <!-- 건물 관리 번호 -->
             , PA.STDG_CD               <!-- 법정동 코드 -->
             , PA.DONG_CD               <!-- 행정동 코드 -->
             , PA.MTN_SE_CD             <!-- 산 구분 코드 -->
             , PA.MNO                   <!-- 본번 -->
             , PA.SNO                   <!-- 부번 -->
             , PA.SPCL_DONG             <!-- 특수 동 -->
             , PA.SPCL_HO               <!-- 특수 호 -->
             , PA.SPCL_ADDR             <!-- 특수 주소 -->
             , PA.ADDR                  <!-- 주소 -->
             , PA.DTL_ADDR              <!-- 상세 주소 -->
             , PA.WHOL_ADDR             <!-- 전체 주소 -->
             , (GET_MASK_DATETIME(C.CRDN_YMD, '-', C.CRDN_TM, ':'))     AS CRDN_YMD_TM_MASK <!-- 단속 일시 마스크 -->
             , (SELECT RDCT_RSN_CD FROM TB_RDCT X WHERE X.CRDN_ID = C.CRDN_ID AND X.DEL_YN = 'N') AS RDCT_RSN_CD <!-- 감경 사유 코드 -->
             ,<include refid="utility.today" /> AS TODAY
          FROM TB_CRDN            C
         INNER JOIN TB_CRDN_ADI   CA ON (C.CRDN_ID  = CA.CRDN_ID)
         INNER JOIN TB_VLTN       V  ON (C.VLTN_ID  = V.VLTN_ID)
    LEFT OUTER JOIN TB_PAYER      P  ON (C.RTPYR_ID = P.RTPYR_ID)
    LEFT OUTER JOIN TB_PAYER_ADDR PA ON (C.RTPYR_ID = PA.RTPYR_ID AND C.ADDR_SN = PA.ADDR_SN)
         WHERE C.CRDN_ID IN (<foreach collection="crdnIds" item="crdnId" separator=",">#{crdnId}</foreach>)<!-- 단속 ID -->
           AND C.DEL_YN     = 'N'       <!-- 삭제 여부 -->
    </select>

</mapper>